# CoverageEligibilityRequest $submit

`POST /CoverageEligibilityRequest/$submit`

This resource contains details about a patient's eligibility for services, equipment, or prescriptions, typically before a patient visit.

A healthcare organization may use this resource to request estimates or quotes, as well as a patient’s financial responsibility, before a visit or order.

A payer, employer, or other entity processes the request and returns a general benefit summary or quote based on the patient’s insurance plan. The response comes in a `CoverageEligibilityResponse` resource type.

_This is different from a preauthorization request_. [Learn about preauthorization requests](https://docs.redoxengine.com/permalink/8aeb2d01-091b-5bb2-ab4b-515151c54d33-$submit-preauthorization).

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $submit

Submit a coverage eligibility request to a payer, employer, or other entity responsible for insurance payments.

A coverage eligibility request determines:

- whether the payer, employer, or other entity has a particular subscriber or dependent on file; and
- healthcare eligibility and/or benefit information about that subscriber and/or dependent. 

The response returns a bundle of resources in a `CoverageEligibilityResponse` resource type.

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Indicates the purpose of this bundle - how it is intended to be used. Value: collection |
| `entry` | Array of CoverageEligibilityRequest or Patient or Coverage or Location or Practitioner or RelatedPerson or Other | Yes | An array of FHIR resources. At a minimum, a CoverageEligibilityRequest should include the following entries: - CoverageEligibilityRequest - the most important part of the request - contains references to all other resources, and the query in `item` - Patient - the patient the claim is about - Organization - at least one resource representing the party responsible for making the claim. Additional organization resources may carry information such as pharmacy, payor, or policy holder. - Coverage - the patient's insurance Additional resources such as RelatedPerson should be included in scenarios where the Patient is a dependent of the coverage holder. |
| `entry[] (CoverageEligibilityRequest).resource` | object | Yes | The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type. |
| `entry[] (CoverageEligibilityRequest).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: CoverageEligibilityRequest |
| `entry[] (CoverageEligibilityRequest).resource.id` | string | Yes | The internal tracking identifier for this eligibility request. This id will be returned on the CoverageEligibilityResponse. |
| `entry[] (CoverageEligibilityRequest).resource.status` | string | Yes | The status of the resource instance. Possible values: active, cancelled, draft, entered-in-error |
| `entry[] (CoverageEligibilityRequest).resource.purpose` | Array of string | Yes | Code to specify whether requesting: prior authorization requirements for some service categories or billing codes; benefits for coverages specified or discovered; discovery and return of coverages for the patient; and/or validation that the specified coverage is in-force at the date/period specified or 'now' if not specified. Possible values: auth-requirements, benefits, discovery, validation |
| `entry[] (CoverageEligibilityRequest).resource.patient` | object | Yes | The Patient that you want to run eligibility checks for. This may be different than the policy holder Must be a resource of type `Patient`. |
| `entry[] (CoverageEligibilityRequest).resource.patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (CoverageEligibilityRequest).resource.created` | string | Yes | The date when this resource was created. |
| `entry[] (CoverageEligibilityRequest).resource.insurer` | object | Yes | The payer that the request should be submitted to. Must be a resource of type `Organization`. |
| `entry[] (CoverageEligibilityRequest).resource.insurer.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (CoverageEligibilityRequest).resource.insurance` | Array of object | No | Financial instruments for reimbursement for the health care products and services. |
| `entry[] (CoverageEligibilityRequest).resource.insurance[].coverage` | object | Yes | The patient's coverage that should be used to make the eligiblity determination. Must be a resource of type `Coverage`. |
| `entry[] (CoverageEligibilityRequest).resource.insurance[].coverage.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (CoverageEligibilityRequest).resource.insurance[].focal` | boolean | No | A flag to indicate that this Coverage is to be used for evaluation of this request when set to true. |
| `entry[] (CoverageEligibilityRequest).resource.insurance[].businessArrangement` | string | No | A business agreement number established between the provider and the insurer for special business processing purposes. |
| `entry[] (Other)` | object | No |  |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/CoverageEligibilityRequest/$submit' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/fhir+json' \
--data '{
  "resourceType": "Bundle",
  "id": "RedoxCoverageEligibilityRequestBundleExample",
  "type": "collection",
  "identifier": {
    "system": "urn:ietf:rfc:3986",
    "value": "urn:uuid:d348a18d-3676-426b-8105-e36085a710e3"
  },
  "timestamp": "2021-09-02T18:47:15.916Z",
  "entry": [
    {
      "resource": {
        "resourceType": "CoverageEligibilityRequest",
        "id": "cc5cb253-b604-5c52-87e3-df52fcc9dfe4",
        "status": "active",
        "patient": {
          "reference": "urn:uuid:c2995fd1-f409-518d-a7c1-d4dc007d35dc"
        },
        "created": "2022-01-18T16:27:49.101Z",
        "servicedPeriod": {
          "start": "2022-01-18T16:20:00.101Z",
          "end": "2022-01-18T17:20:00.101Z"
        },
        "purpose": [
          "benefits"
        ],
        "insurer": {
          "reference": "urn:uuid:101402a1-93ae-529e-962b-37dafa347bc0"
        },
        "provider": {
          "reference": "urn:uuid:45bc251d-e7a5-5af8-8bf8-e3492663e3ed"
        },
        "facility": {
          "reference": "urn:uuid:b8311843-a29b-5e26-95a6-e4d35d5e4b63"
        },
        "priority": {
          "coding": [
            {
              "code": "normal",
              "system": "http://terminology.hl7.org/CodeSystem/processpriority"
            }
          ]
        },
        "insurance": [
          {
            "focal": true,
            "coverage": {
              "reference": "Coverage/RedoxPACoverageExample"
            }
          }
        ],
        "item": [
          {
            "category": {
              "coding": [
                {
                  "code": "30",
                  "system": "https://x12.org/codes/service-type-codes",
                  "display": "Plan Coverage and General Benefits"
                }
              ]
            }
          }
        ]
      },
      "fullUrl": "urn:uuid:cc5cb253-b604-5c52-87e3-df52fcc9dfe4"
    },
    {
      "resource": {
        "resourceType": "Patient",
        "id": "c2995fd1-f409-518d-a7c1-d4dc007d35dc",
        "identifier": [
          {
            "system": "urn:redox:MRN",
            "value": "M23462346"
          }
        ],
        "name": [
          {
            "given": [
              "Timothy",
              "Paul"
            ],
            "family": "Bixby"
          }
        ],
        "gender": "male",
        "birthDate": "2008-01-06"
      },
      "fullUrl": "urn:uuid:c2995fd1-f409-518d-a7c1-d4dc007d35dc"
    },
    {
      "resource": {
        "resourceType": "Coverage",
        "id": "11c37060-f409-55c2-8916-a0b1214f2bd0",
        "class": [
          {
            "type": {
              "coding": [
                {
                  "code": "group",
                  "system": "http://terminology.hl7.org/CodeSystem/coverage-class"
                }
              ]
            },
            "value": "GRP2245"
          }
        ],
        "status": "active",
        "beneficiary": {
          "reference": "urn:uuid:c2995fd1-f409-518d-a7c1-d4dc007d35dc"
        },
        "payor": [
          {
            "reference": "urn:uuid:101402a1-93ae-529e-962b-37dafa347bc0"
          }
        ],
        "subscriber": {
          "reference": "urn:uuid:90880927-82a3-5abe-b186-57250f6928ed"
        },
        "subscriberId": "M2346623"
      },
      "fullUrl": "urn:uuid:11c37060-f409-55c2-8916-a0b1214f2bd0"
    },
    {
      "resource": {
        "resourceType": "Organization",
        "id": "101402a1-93ae-529e-962b-37dafa347bc0",
        "active": true,
        "name": "Aetna",
        "address": [
          {
            "line": [
              "PO Box 14080"
            ],
            "city": "Lexington",
            "district": "Fayette",
            "state": "KY",
            "postalCode": "40512-4079",
            "country": "USA"
          }
        ]
      },
      "fullUrl": "urn:uuid:101402a1-93ae-529e-962b-37dafa347bc0"
    },
    {
      "resource": {
        "resourceType": "Practitioner",
        "id": "45bc251d-e7a5-5af8-8bf8-e3492663e3ed",
        "identifier": [
          {
            "system": "http://hl7.org/fhir/sid/us-npi",
            "value": "4356789876"
          }
        ],
        "name": [
          {
            "given": [
              "Pat"
            ],
            "family": "Granite"
          }
        ],
        "address": [
          {
            "line": [
              "123 Main St."
            ],
            "city": "Madison",
            "district": "Dane",
            "state": "WI",
            "postalCode": "53703",
            "country": "USA"
          }
        ],
        "telecom": [
          {
            "value": "+16085551234"
          }
        ]
      },
      "fullUrl": "urn:uuid:45bc251d-e7a5-5af8-8bf8-e3492663e3ed"
    },
    {
      "resource": {
        "resourceType": "RelatedPerson",
        "id": "90880927-82a3-5abe-b186-57250f6928ed",
        "patient": {
          "reference": "urn:uuid:c2995fd1-f409-518d-a7c1-d4dc007d35dc"
        },
        "name": [
          {
            "given": [
              "Barbara"
            ],
            "family": "Bixby"
          }
        ],
        "relationship": [
          {
            "text": "Mother"
          }
        ]
      },
      "fullUrl": "urn:uuid:90880927-82a3-5abe-b186-57250f6928ed"
    },
    {
      "resource": {
        "resourceType": "Location",
        "id": "b8311843-a29b-5e26-95a6-e4d35d5e4b63",
        "name": "RHS Vista Oaks Clinic",
        "type": [
          {
            "coding": [
              {
                "code": "OF",
                "system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
                "display": "Outpatient Facility"
              }
            ]
          }
        ],
        "physicalType": {
          "coding": [
            {
              "code": "bu",
              "system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
              "display": "Building"
            }
          ]
        }
      },
      "fullUrl": "urn:uuid:b8311843-a29b-5e26-95a6-e4d35d5e4b63"
    }
  ],
  "Meta": {
    "Logs": [
      {
        "ID": "d9f5d293-7110-461e-a875-3beb089e79f3",
        "AttemptID": "925d1617-2fe0-468c-a14c-f8c04b572c54"
      }
    ],
    "Test": true,
    "EventDateTime": "2026-11-20T22:18:53.621Z",
    "Source": {
      "ID": "7ce6f387-c33c-417d-8682-81e83628cbd9",
      "Name": "Redox Dev Tools"
    },
    "Destinations": [
      {
        "ID": "af394f14-b34a-464f-8d24-895f370af4c9",
        "Name": "Redox EMR"
      }
    ],
    "DataModel": "FHIR.CoverageEligibilityRequest",
    "EventType": "$submit"
  }
}'
```

## Responses

### 200

Operation Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Indicates the purpose of this bundle - how it is intended to be used. Value: collection |
| `entry` | Array of CoverageEligibilityResponse or Patient or Coverage or Location or Practitioner or RelatedPerson or Other | Yes | Contains at least one CoverageEligibilityResponse and other resources relevant to the coverage check. |
| `entry[] (CoverageEligibilityResponse).resource` | object | Yes | The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type. |
| `entry[] (CoverageEligibilityResponse).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: CoverageEligibilityResponse |
| `entry[] (CoverageEligibilityResponse).resource.id` | string | Yes | The internal tracking identifier for this eligibility request. This id will be returned on the CoverageEligibilityResponse. |
| `entry[] (CoverageEligibilityResponse).resource.status` | string | Yes | The status of the resource instance. Possible values: active, cancelled, draft, entered-in-error |
| `entry[] (CoverageEligibilityResponse).resource.purpose` | Array of string | Yes | Code to specify whether requesting: prior authorization requirements for some service categories or billing codes; benefits for coverages specified or discovered; discovery and return of coverages for the patient; and/or validation that the specified coverage is in-force at the date/period specified or 'now' if not specified. Possible values: auth-requirements, benefits, discovery, validation |
| `entry[] (CoverageEligibilityResponse).resource.patient` | object | Yes | The Patient that the elgibility results are being reported for. This may be different than the policy holder Must be a resource of type `Patient`. |
| `entry[] (CoverageEligibilityResponse).resource.patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (CoverageEligibilityResponse).resource.created` | string | Yes | The date this resource was created. |
| `entry[] (CoverageEligibilityResponse).resource.request` | object | Yes | The initial CoverageEligibilityRequest. Must be a resource of type `CoverageEligibilityRequest`. |
| `entry[] (CoverageEligibilityResponse).resource.request.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (CoverageEligibilityResponse).resource.outcome` | string | Yes | The outcome of the request processing. Possible values: queued, complete, error, partial |
| `entry[] (CoverageEligibilityResponse).resource.insurer` | object | Yes | The payer that the request should be submitted to. Must be a resource of type `Organization`. |
| `entry[] (CoverageEligibilityResponse).resource.insurer.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (CoverageEligibilityResponse).resource.insurance` | Array of object | Yes | Financial instruments for reimbursement for the health care products and services. |
| `entry[] (CoverageEligibilityResponse).resource.insurance[].coverage` | object | Yes | The coverage of the patient. Must be a resource of type `Coverage`. |
| `entry[] (CoverageEligibilityResponse).resource.insurance[].coverage.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (CoverageEligibilityResponse).resource.insurance[].item` | Array of object | No | Benefits and optionally current balances, and authorization details by category or service. |
| `entry[] (Practitioner)` | any | No | Contains at least one CoverageEligibilityResponse and other resources relevant to the coverage check. |
| `entry[] (RelatedPerson)` | any | No | Contains at least one CoverageEligibilityResponse and other resources relevant to the coverage check. |
| `entry[] (Other)` | object | No |  |

```json
{
  "resourceType": "Bundle",
  "id": "RedoxCoverageEligibilityResponseBundleExample",
  "type": "collection",
  "identifier": {
    "system": "urn:ietf:rfc:3986",
    "value": "urn:uuid:d348a18d-3676-426b-8105-e36085a710e3"
  },
  "timestamp": "2021-09-02T18:47:15.916Z",
  "entry": [
    {
      "resource": {
        "resourceType": "CoverageEligibilityResponse",
        "id": "580a891c-a08e-5f91-959f-81765fc05cf6",
        "status": "active",
        "patient": {
          "reference": "urn:uuid:a4ffca8b-95d2-5ed1-9e96-de299138a02d"
        },
        "created": "2022-01-18T16:27:49.101Z",
        "servicedPeriod": {
          "start": "2022-01-18T16:20:00.101Z",
          "end": "2022-01-18T17:20:00.101Z"
        },
        "purpose": [
          "benefits"
        ],
        "request": {
          "reference": "CoverageEligibilityRequest/check-123456789"
        },
        "outcome": "complete",
        "insurer": {
          "reference": "urn:uuid:a512ac97-fdad-5192-b312-b0030422d683"
        },
        "insurance": [
          {
            "coverage": {
              "reference": "Coverage/RedoxPACoverageExample"
            },
            "benefitPeriod": {
              "start": "2022-01-18T16:20:00.101Z",
              "end": "2023-01-18T17:20:00.101Z"
            },
            "item": [
              {
                "category": {
                  "coding": [
                    {
                      "code": "1",
                      "system": "https://x12.org/codes/service-type-codes",
                      "display": "Medical Care"
                    }
                  ]
                },
                "benefit": [
                  {
                    "type": {
                      "coding": [
                        {
                          "code": "benefit"
                        }
                      ]
                    }
                  },
                  {
                    "type": {
                      "coding": [
                        {
                          "code": "copay-maximum"
                        }
                      ]
                    },
                    "allowedMoney": {
                      "value": 20,
                      "currency": "USD"
                    }
                  }
                ]
              },
              {
                "category": {
                  "coding": [
                    {
                      "code": "33",
                      "system": "https://x12.org/codes/service-type-codes",
                      "display": "Chiropractic"
                    }
                  ]
                },
                "benefit": [
                  {
                    "type": {
                      "coding": [
                        {
                          "code": "benefit"
                        }
                      ]
                    }
                  },
                  {
                    "type": {
                      "coding": [
                        {
                          "code": "copay-maximum"
                        }
                      ]
                    },
                    "allowedMoney": {
                      "value": 20,
                      "currency": "USD"
                    }
                  }
                ]
              },
              {
                "category": {
                  "coding": [
                    {
                      "code": "35",
                      "system": "https://x12.org/codes/service-type-codes",
                      "display": "Dental Care"
                    }
                  ]
                },
                "benefit": [
                  {
                    "type": {
                      "coding": [
                        {
                          "code": "benefit"
                        }
                      ]
                    }
                  },
                  {
                    "type": {
                      "coding": [
                        {
                          "code": "copay-maximum"
                        }
                      ]
                    },
                    "allowedMoney": {
                      "value": 20,
                      "currency": "USD"
                    }
                  }
                ]
              },
              {
                "category": {
                  "coding": [
                    {
                      "code": "47",
                      "system": "https://x12.org/codes/service-type-codes",
                      "display": "Hospital"
                    }
                  ]
                },
                "benefit": [
                  {
                    "type": {
                      "coding": [
                        {
                          "code": "benefit"
                        }
                      ]
                    }
                  },
                  {
                    "type": {
                      "coding": [
                        {
                          "code": "copay-maximum"
                        }
                      ]
                    },
                    "allowedMoney": {
                      "value": 20,
                      "currency": "USD"
                    }
                  }
                ]
              },
              {
                "category": {
                  "coding": [
                    {
                      "code": "86",
                      "system": "https://x12.org/codes/service-type-codes",
                      "display": "Emergency Services"
                    }
                  ]
                },
                "benefit": [
                  {
                    "type": {
                      "coding": [
                        {
                          "code": "benefit"
                        }
                      ]
                    }
                  },
                  {
                    "type": {
                      "coding": [
                        {
                          "code": "copay-maximum"
                        }
                      ]
                    },
                    "allowedMoney": {
                      "value": 20,
                      "currency": "USD"
                    }
                  }
                ]
              }
            ]
          }
        ]
      },
      "fullUrl": "urn:uuid:580a891c-a08e-5f91-959f-81765fc05cf6"
    },
    {
      "resource": {
        "resourceType": "Patient",
        "id": "a4ffca8b-95d2-5ed1-9e96-de299138a02d",
        "identifier": [
          {
            "system": "urn:redox:MRN",
            "value": "M23462346"
          }
        ],
        "name": [
          {
            "given": [
              "Timothy",
              "Paul"
            ],
            "family": "Bixby"
          }
        ],
        "gender": "male",
        "birthDate": "2008-01-06"
      },
      "fullUrl": "urn:uuid:a4ffca8b-95d2-5ed1-9e96-de299138a02d"
    },
    {
      "resource": {
        "resourceType": "Coverage",
        "id": "007bc22b-1a76-5404-b125-eada4da362e5",
        "class": [
          {
            "type": {
              "coding": [
                {
                  "code": "group",
                  "system": "http://terminology.hl7.org/CodeSystem/coverage-class"
                }
              ]
            },
            "value": "GRP2245"
          }
        ],
        "status": "active",
        "beneficiary": {
          "reference": "urn:uuid:a4ffca8b-95d2-5ed1-9e96-de299138a02d"
        },
        "payor": [
          {
            "reference": "urn:uuid:a512ac97-fdad-5192-b312-b0030422d683"
          }
        ],
        "subscriber": {
          "reference": "urn:uuid:86e24a11-d403-5edc-b9e3-ee97c2e97a31"
        },
        "subscriberId": "M2346623"
      },
      "fullUrl": "urn:uuid:007bc22b-1a76-5404-b125-eada4da362e5"
    },
    {
      "resource": {
        "resourceType": "Organization",
        "id": "a512ac97-fdad-5192-b312-b0030422d683",
        "active": true,
        "name": "Aetna",
        "address": [
          {
            "line": [
              "PO Box 14080"
            ],
            "city": "Lexington",
            "district": "Fayette",
            "state": "KY",
            "postalCode": "40512-4079",
            "country": "USA"
          }
        ]
      },
      "fullUrl": "urn:uuid:a512ac97-fdad-5192-b312-b0030422d683"
    },
    {
      "resource": {
        "resourceType": "Practitioner",
        "id": "e37fce92-4d94-5703-84a8-8f275278e87c",
        "identifier": [
          {
            "system": "http://hl7.org/fhir/sid/us-npi",
            "value": "4356789876"
          }
        ],
        "name": [
          {
            "given": [
              "Pat"
            ],
            "family": "Granite"
          }
        ],
        "address": [
          {
            "line": [
              "123 Main St."
            ],
            "city": "Madison",
            "district": "Dane",
            "state": "WI",
            "postalCode": "53703",
            "country": "USA"
          }
        ],
        "telecom": [
          {
            "value": "+16085551234"
          }
        ]
      },
      "fullUrl": "urn:uuid:e37fce92-4d94-5703-84a8-8f275278e87c"
    },
    {
      "resource": {
        "resourceType": "RelatedPerson",
        "id": "86e24a11-d403-5edc-b9e3-ee97c2e97a31",
        "patient": {
          "reference": "urn:uuid:a4ffca8b-95d2-5ed1-9e96-de299138a02d"
        },
        "name": [
          {
            "given": [
              "Barbara"
            ],
            "family": "Bixby"
          }
        ],
        "relationship": [
          {
            "text": "Mother"
          }
        ]
      },
      "fullUrl": "urn:uuid:86e24a11-d403-5edc-b9e3-ee97c2e97a31"
    },
    {
      "resource": {
        "resourceType": "Location",
        "id": "ce62be5a-1277-5673-a1de-85bd364167eb",
        "name": "RHS Vista Oaks Clinic",
        "type": [
          {
            "coding": [
              {
                "code": "OF",
                "system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
                "display": "Outpatient Facility"
              }
            ]
          }
        ],
        "physicalType": {
          "coding": [
            {
              "code": "bu",
              "system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
              "display": "Building"
            }
          ]
        }
      },
      "fullUrl": "urn:uuid:ce62be5a-1277-5673-a1de-85bd364167eb"
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
